package network;

/**
 * NetMessage Klasse 
 * Beinhaltet ein byte-Array mit den Daten die empfangen wurden u. 
 * führt im Konstruktor die Sonderzeichen Substitution durch
 */
public class NetMessage {
	
	// Attribute
	private byte[] rData = new byte[25];
	
	/**
	 * Konstruktor
	 * @param pData empfangenes Byte Array aus dem Netzwerk
	 * @param iLen Anzahl der Bytes
	 */
	public NetMessage(byte[] pData,int iLen){
	 int c=1;
	 
	  //durchführen der Substitution
	  rData[0]=0x02;

	  for(int i=1;i<iLen-1;i++){
		if(pData[i]==0x10){
		    rData[c]=(byte) (pData[++i]-0x80);
		}
		else{
		    rData[c]=pData[i];
		}
		++c;
	  }
	  rData[c]=0x03;
	}

	/* ##########################################################################
	 * 						ÖFFENTLICHE METHODEN
	 * ##########################################################################*/		
	
	/** GET - Methoden */
	public byte[] getRData(){ return rData; }
	
	/** SET - Methoden */
	public void setRData(byte[] pData){ rData=pData; }
}
